/*
 * parisc/threads.h
 * HP-UX threading information.
 *
 * Copyright (c) 1996, 1997
 *	Transvirtual Technologies, Inc.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution 
 * of this file. 
 */

/* 
 * This file has been modified by JJC, for its use as part of his debugger, bdbj.
 * Modifications are delimited by START JJC, END JJC blocks and single lines
 * modified are marked by simply JJC.
 *
 * Last modified August 2001.
 */

#ifndef __parisc_hpux_threads_h
#define __parisc_hpux_threads_h

/* Stacks go up on the PARISC */
#define	STACK_GROWS_UP	1
 
/**/
/* Thread handling */
/**/ 
#define USE_INTERNAL_THREADS  
  
/* Not sure on this... */

#define THREADSTACKSIZE		(128 * 1024) /* JJC (changed 32 to 128) */

/*
 * Stack offset.
 * This is the offset into the setjmp buffer where the stack pointer is
 * stored.  This may be different with different OSes.
 */
#define	SP_OFFSET		1

#endif
